Skip to main content
`Ctrl`+`K`

# DMSwarmComputeLocalSizeFromOptions

Compute the local number and distribution of particles based upon a density function determined by options

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmComputeLocalSizeFromOptions(DM sw)

Not Collective

## Input Parameter

- sw - The `DMSWARM`

## See Also

`DMSWARM`, `DMSwarmComputeLocalSize()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages